<?php
/**
 * Uninstall script for BeepMate - Forms to your messaging app
 * 
 * This file will be executed when the plugin is uninstalled through the WordPress admin.
 * It removes all plugin data from the database to ensure a clean uninstallation.
 */

// If uninstall not called from WordPress, exit
if (!defined('WP_UNINSTALL_PLUGIN')) {
    exit;
}

// Delete plugin options
delete_option('beepmate_whatsapp_forms_settings');
delete_option('beepmate_whatsapp_forms_version');

// Delete any transients that might have been created
delete_transient('beepmate_whatsapp_forms_api_check');

// For multisite installations
if (is_multisite()) {
    global $wpdb;
    $blog_ids = get_sites(array('fields' => 'ids', 'number' => 0));

if (!empty($blog_ids)) {
    foreach ($blog_ids as $blog_id) {
        switch_to_blog($blog_id);
        
        // Delete options for each site
        delete_option('beepmate_whatsapp_forms_settings');
        delete_option('beepmate_whatsapp_forms_version');
        
        // Delete transients for each site
        delete_transient('beepmate_whatsapp_forms_api_check');
        
        restore_current_blog();
    }
}
}

// No need to drop custom tables - this plugin doesn't create any

// No need to delete custom post types - this plugin doesn't create any

// No need to clear scheduled events - this plugin doesn't schedule any

// Done - all plugin data has been removed
?>
